<?php

// +-----------------------------------------------------------------------+
// |                             functions                                 |
// +-----------------------------------------------------------------------+
//language select creation
function news_language_select($available_lang,$default, $select_name = "language")
{
  $lang_select = '<select name="' . $select_name . '">';
  foreach ($available_lang as $code => $displayname)
  {
    $selected = ( strtolower($default) == strtolower($code) ) ? ' selected="selected"' : '';
    $lang_select .= '<option value="' . $code . '"' . $selected . '>' . ucwords($displayname) . '</option>';
  }
  
  $lang_select .= '</select>';

  return $lang_select;
}



// +-----------------------------------------------------------------------+
// |                           initialization                              |
// +-----------------------------------------------------------------------+

define('PHPWG_ROOT_PATH','./../../');
include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
//include(PHPWG_ROOT_PATH.'include/section_init.inc.php');

include_once('./include/constants.php');
include_once('./include/functions_news.inc.php');
include(get_language_filepath('plugin.lang.php', './'));

// include menubar
// include(PHPWG_ROOT_PATH.'include/menubar.inc.php');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_GUEST);


//$categories = array();


// detection of the start news to display
if ( !isset( $_GET['start'] ) or !is_numeric( $_GET['start'] ) or ( is_numeric( $_GET['start'] ) and $_GET['start'] < 0 ) )
{
  $page['start'] = 0;
}
else
{
  $page['start'] = $_GET['start'];
}

// detection of the number of news to display per page
if ( !isset( $_GET['nb_news_page'] ) or !is_numeric( $_GET['nb_news_page'] ) or ( is_numeric( $_GET['nb_news_page'] ) and $_GET['nb_news_page'] < 0 ) )
{
  $page['nb_news_page'] = $conf['nb_news_page'];
}
else
{
  $page['nb_news_page'] = $_GET['nb_news_page'];
}



// +-----------------------------------------------------------------------+
// |                               options                                 |
// +-----------------------------------------------------------------------+

$title= $lang['title_news'];
$template_title = $lang['title_news'];
$page['body_id'] = 'theNewsPage';

$template->set_filenames(array('news' => NBC_NEWSONINDEX_PATH.'template/news.tpl'));

$page['args']='nb_news_page='.$page['nb_news_page'].'&amp;start='.$page['start'];

$template->assign_vars(
  array(
    'U_HOME' => make_index_url(),
    'NEWS_CSS' => '<link rel="stylesheet" type="text/css" href="'.NBC_NEWSONINDEX_PATH.'/template/news.css">
                   <link rel="stylesheet" type="text/css" href="'.NBC_NEWSONINDEX_PATH.'/template/'.$user['template'].'/theme/'.$user['theme'].'/news.css">',
  )
);
  


// +-----------------------------------------------------------------------+
// |               news per pages & nav bar display                        |
// +-----------------------------------------------------------------------+

$user['forbidden_news'] = calculate_news_permissions($user['id']);

$query = '
  SELECT COUNT(DISTINCT(id)) as nb_news
  FROM '.NEWS_TABLE.'
  WHERE id NOT IN ('.$user['forbidden_news'].')
  ;';
	
$result = pwg_query($query);

$row = mysql_fetch_array($result);
$page['nb_news']=$row['nb_news'];

//display number of news per page link
$template->assign_block_vars('news_per_page', array());

foreach ($conf['nb_news_page_option'] as $option)
{
  $url = $_SERVER['PHP_SELF'].'?nb_news_page='.$option;

  $template->assign_block_vars(
    'news_per_page.nb_option',
    array(
      'OPTION'=>$option,
      'T_STYLE'=>($option == $page['nb_news_page'])?'text-decoration:underline;':'',
      'U_OPTION'=>$url
    )
  );
}
  
$url = $_SERVER['PHP_SELF'].'?nb_news_page='.$page['nb_news_page']; 

//display nav bar
$page['navigation_bar'] = create_navigation_bar( $url, $page['nb_news'],$page['start'],$page['nb_news_page'], false);
  
$template->assign_block_vars('navigation', array('NAV_BAR' => $page['navigation_bar'])
);

  
// +-----------------------------------------------------------------------+
// |                          last news display                            |
// +-----------------------------------------------------------------------+
  
//get every languages
$available_lang=get_languages();
 
// affiche les news publics + les news du groupe de l'utilisateur + les news de l'utilisateur
$user['forbidden_news'] = calculate_news_permissions($user['id']);

$query = '
  SELECT id AS new_id, date, author
  FROM '.NEWS_TABLE.'
  WHERE id NOT IN ('.$user['forbidden_news'].')
  ORDER BY date DESC
  LIMIT '.$page['start'].','.$page['nb_news_page'].'
  ;';
    
$result = pwg_query($query);

while ($row = mysql_fetch_array($result))
{
  $new_id = $row['new_id'];
  
  $template->assign_block_vars(
    'news',
    array(
      'NEWS_AUTHOR'=>$row['author'],
      'NEWS_DATE'=>format_date($row['date'],'mysql_datetime',true),
    )
  );
  
  //get the news translation
  $query = '
    SELECT id AS news_translation_id, language, title, content
    FROM '.NEWS_TRANSLATION_TABLE.'
    WHERE new_id = \''.$new_id.'\'
    ';
    
  $no_news_translation = false;
    
  $subresult = pwg_query($query.'AND language = \''.$user['language'].'\';');
  $subrow = mysql_fetch_array($subresult);
        
  //there is a no translation for the user language
  if (empty($subrow))
  {
    $no_news_translation=true;
      
    //get the default translation	
    $subresult = pwg_query($query.'AND language = \''.$conf['language'].'\';');
    $subrow = mysql_fetch_array($subresult);
          
    //there is no translation for the default language
    if (empty($subrow))
    {
      //get the first translation			
      $subresult = pwg_query($query.'LIMIT 1;');
      $subrow = mysql_fetch_array($subresult);
    }		
  }
      
  $message = $subrow['content'];
      
  $template->assign_block_vars(
    'news.news_translation',
    array(
      'TITLE'=>$subrow['title'],
      'CONTENT'=>$message,
    )
  );	
         
  //there is no tranlstation for this news
  if ($no_news_translation)
  {
    $template->assign_block_vars('news.news_translation.no_news_translation', array());
  }
}

//------------------------------------------------------------ log informations
pwg_log();

include(PHPWG_ROOT_PATH.'include/page_header.php');
$template->parse('news');
include(PHPWG_ROOT_PATH.'include/page_tail.php');
?>
